import { IFilterParams } from 'ag-grid-community';
import BaseFilter from './base-filter';
import { EnumerationTypeCategory } from '../../utils/enumeration-types-helper';
type EnumerationTypeCategorySelected = EnumerationTypeCategory & {
    selected?: boolean;
    hide?: boolean;
};
export declare class EnumerationCategoryFilter extends BaseFilter {
    private filterValues;
    private categories;
    private searchText;
    selectedIds: Array<number>;
    private selectedIdInternalChange;
    init(params: IFilterParams & {
        categories: Array<EnumerationTypeCategory>;
    }): void;
    isFilterActive(): boolean;
    onOpenDropDown(): Promise<void>;
    setupContentGui(): Promise<string>;
    getCategories(existing?: Array<number>): void;
    resetFilter(): void;
    removeFilterValue(filterValue: EnumerationTypeCategorySelected): void;
    filterValuesChanged(newVal: boolean, oldVal: boolean): void;
    private setSelectedValues;
    searchTextChanged(newVal: any, oldVal: any): void;
    getModel(): any;
    setModel(model: any): void;
    getValue(): Array<EnumerationTypeCategorySelected>;
    getModelAsString?(): string;
    setupContentGuiSideFilter(): string;
}
export {};
